Index
All Classes and Interfaces|All Packages|Constant Field Values|Serialized Form
A
- abort() - Method in class org.bloomreach.forge.brut.common.repository.AcceptAllLoginModule
- AbstractBrutRepository - Class in org.bloomreach.forge.brut.common.repository
-
Abstract base class for BRUT repository implementations.
- AbstractBrutRepository() - Constructor for class org.bloomreach.forge.brut.common.repository.AbstractBrutRepository
- AbstractJaxrsTest - Class in org.bloomreach.forge.brut.resources
-
Abstract base class for testing JAX-RS resources with the HST container.
- AbstractJaxrsTest() - Constructor for class org.bloomreach.forge.brut.resources.AbstractJaxrsTest
- AbstractPageModelTest - Class in org.bloomreach.forge.brut.resources
- AbstractPageModelTest() - Constructor for class org.bloomreach.forge.brut.resources.AbstractPageModelTest
- AbstractRepoTest - Class in org.bloomreach.forge.brut.components
- AbstractRepoTest() - Constructor for class org.bloomreach.forge.brut.components.AbstractRepoTest
- AbstractResourceTest - Class in org.bloomreach.forge.brut.resources
- AbstractResourceTest() - Constructor for class org.bloomreach.forge.brut.resources.AbstractResourceTest
- AcceptAllLoginModule - Class in org.bloomreach.forge.brut.common.repository
- AcceptAllLoginModule() - Constructor for class org.bloomreach.forge.brut.common.repository.AcceptAllLoginModule
- addComponent(String, T) - Method in class org.bloomreach.forge.brut.components.mock.MockComponentManager
-
Add a component to the components Map
- addHstLink(String, HstLink) - Method in class org.bloomreach.forge.brut.components.mock.MockHstLinkCreator
- addHstLink(Node, HstLink) - Method in class org.bloomreach.forge.brut.components.mock.MockHstLinkCreator
- addHstLink(HstSiteMapItem, HstLink) - Method in class org.bloomreach.forge.brut.components.mock.MockHstLinkCreator
- addHstLink(HippoBean, HstLink) - Method in class org.bloomreach.forge.brut.components.mock.MockHstLinkCreator
- addHstLinkByRefId(String, HstLink) - Method in class org.bloomreach.forge.brut.components.mock.MockHstLinkCreator
- addMount(MutableMount) - Method in class org.bloomreach.forge.brut.components.mock.MockMount
- addMountProperties(String, String) - Method in class org.bloomreach.forge.brut.components.mock.MockMount
- addonModules() - Element in annotation interface org.bloomreach.forge.brut.resources.annotation.BrxmJaxrsTest
-
HST addon module paths (rarely needed).
- addonModules() - Element in annotation interface org.bloomreach.forge.brut.resources.annotation.BrxmPageModelTest
-
HST addon module paths (rarely needed).
- addParameters(String, String) - Method in class org.bloomreach.forge.brut.components.mock.MockMount
- addPublicRequestParameter(String, String) - Method in class org.bloomreach.forge.brut.components.SimpleComponentTest
- addPublicRequestParameter(String, String[]) - Method in class org.bloomreach.forge.brut.components.SimpleComponentTest
- addRequestParameter(String, String) - Method in class org.bloomreach.forge.brut.components.annotation.DynamicComponentTest
- addRequestParameter(String, String[]) - Method in class org.bloomreach.forge.brut.components.annotation.DynamicComponentTest
- addSitemap(String, ResolvedSiteMapItem) - Method in class org.bloomreach.forge.brut.components.mock.MockResolvedMount
- ADMIN - Static variable in class org.bloomreach.forge.brut.components.BaseComponentTest
- afterAll(ExtensionContext) - Method in class org.bloomreach.forge.brut.components.annotation.BrxmComponentTestExtension
- afterAll(ExtensionContext) - Method in class org.bloomreach.forge.brut.resources.annotation.BrxmPageModelTestExtension
- afterEach(ExtensionContext) - Method in class org.bloomreach.forge.brut.components.annotation.BrxmComponentTestExtension
- applyConfigDeltaWithRetries(ConfigurationConfigService, ConfigurationModelImpl, ConfigurationModelImpl, Session) - Static method in class org.bloomreach.forge.brut.resources.bootstrap.ConfigServiceReflectionBridge
-
Applies configuration delta with automatic retry on ItemExistsException.
- as(Class<T>) - Method in class org.bloomreach.forge.brut.resources.pagemodel.ContentItem
-
Converts the document data to a custom POJO type.
- assertBody(String) - Method in class org.bloomreach.forge.brut.resources.util.RequestBuilder
-
Executes the request and asserts the response body equals expected value.
- assertHasNode(String) - Method in class org.bloomreach.forge.brut.resources.util.NodeAssert
-
Asserts that the node has a child node at the relative path.
- assertHasProperty(String) - Method in class org.bloomreach.forge.brut.resources.util.NodeAssert
-
Asserts that the node has a property (without checking value).
- assertName(String) - Method in class org.bloomreach.forge.brut.resources.util.NodeAssert
-
Asserts that the node name matches the expected value.
- assertNodeExists(String) - Method in class org.bloomreach.forge.brut.resources.util.RepositorySession
-
Asserts that a node exists at the specified path.
- assertNodeNotExists(String) - Method in class org.bloomreach.forge.brut.resources.util.RepositorySession
-
Asserts that a node does NOT exist at the specified path.
- assertNotHasNode(String) - Method in class org.bloomreach.forge.brut.resources.util.NodeAssert
-
Asserts that the node does NOT have a child node at the relative path.
- assertPath(String) - Method in class org.bloomreach.forge.brut.resources.util.NodeAssert
-
Asserts that the node path matches the expected value.
- assertPrimaryType(String) - Method in class org.bloomreach.forge.brut.resources.util.NodeAssert
-
Asserts that the node has the expected primary type.
- assertProperty(String, String) - Method in class org.bloomreach.forge.brut.resources.util.NodeAssert
-
Asserts that the node has a property with the expected string value.
- assertPropertyBoolean(String, boolean) - Method in class org.bloomreach.forge.brut.resources.util.NodeAssert
-
Asserts that the node has a property with the expected boolean value.
- assertPropertyLong(String, long) - Method in class org.bloomreach.forge.brut.resources.util.NodeAssert
-
Asserts that the node has a property with the expected long value.
- assertThat(PageModelResponse) - Static method in class org.bloomreach.forge.brut.resources.diagnostics.PageModelAssert
-
Creates a PageModelAssert with default path and channel.
- assertThat(PageModelResponse, String, String) - Static method in class org.bloomreach.forge.brut.resources.diagnostics.PageModelAssert
-
Creates a PageModelAssert for the specified PageModel response.
- asUser(String, String...) - Method in class org.bloomreach.forge.brut.resources.util.RequestBuilder
-
Sets up the request as an authenticated user with specified roles.
- authentication() - Method in class org.bloomreach.forge.brut.resources.annotation.DynamicJaxrsTest
-
Configures mock authentication behavior for testing auth failures.
- autoResolveSiteContentBase() - Method in class org.bloomreach.forge.brut.components.AbstractRepoTest
-
Auto-resolve the site content base bean from the mount's configured content path.
B
- BaseComponentTest - Class in org.bloomreach.forge.brut.components
- BaseComponentTest() - Constructor for class org.bloomreach.forge.brut.components.BaseComponentTest
- beanPackages() - Element in annotation interface org.bloomreach.forge.brut.components.annotation.BrxmComponentTest
-
Bean class package patterns for HST content bean scanning.
- beanPackages() - Element in annotation interface org.bloomreach.forge.brut.resources.annotation.BrxmJaxrsTest
-
Bean class package patterns for HST content bean scanning.
- beanPackages() - Element in annotation interface org.bloomreach.forge.brut.resources.annotation.BrxmPageModelTest
-
Bean class package patterns for HST content bean scanning.
- BeanPackageStrategy - Interface in org.bloomreach.forge.brut.common.project.strategy
-
Strategy interface for discovering bean packages.
- BeanPackageStrategyChain - Class in org.bloomreach.forge.brut.common.project.strategy
-
Chains multiple
BeanPackageStrategyimplementations and executes them in priority order until one returns a result. - BEANS_FIRST - Enum constant in enum class org.bloomreach.forge.brut.common.project.ProjectDiscovery.BeanPackageOrder
- beforeAll(ExtensionContext) - Method in class org.bloomreach.forge.brut.components.annotation.BrxmComponentTestExtension
- beforeAll(ExtensionContext) - Method in class org.bloomreach.forge.brut.resources.annotation.BrxmPageModelTestExtension
- beforeEach(ExtensionContext) - Method in class org.bloomreach.forge.brut.components.annotation.BrxmComponentTestExtension
- beforeEach(ExtensionContext) - Method in class org.bloomreach.forge.brut.resources.annotation.BrxmPageModelTestExtension
- begin(Session) - Method in class org.bloomreach.forge.brut.common.repository.JcrTransactionSupport
- body() - Method in class org.bloomreach.forge.brut.resources.util.Response
-
Returns the deserialized response body.
- BootstrapContext - Class in org.bloomreach.forge.brut.resources.bootstrap
-
Context object holding configuration needed for JCR bootstrap.
- BootstrapContext(List<String>, List<String>, List<String>, ClassLoader) - Constructor for class org.bloomreach.forge.brut.resources.bootstrap.BootstrapContext
-
Creates a new bootstrap context.
- BootstrapContext(List<String>, List<String>, List<String>, List<Path>, ClassLoader) - Constructor for class org.bloomreach.forge.brut.resources.bootstrap.BootstrapContext
-
Creates a new bootstrap context with explicit module descriptors.
- bootstrapFailed(String, List<String>, List<String>, String, Throwable) - Static method in exception org.bloomreach.forge.brut.common.exception.BrutTestConfigurationException
-
Creates exception for bootstrap failure with bean/spring/hst config context.
- branchQualifier() - Method in record class org.bloomreach.forge.brut.common.repository.SimpleXid
-
Returns the value of the
branchQualifierrecord component. - BrutCleanupValve - Class in org.bloomreach.forge.brut.resources
- BrutCleanupValve() - Constructor for class org.bloomreach.forge.brut.resources.BrutCleanupValve
- BrutContentTypeService - Class in org.bloomreach.forge.brut.resources
- BrutContentTypeService() - Constructor for class org.bloomreach.forge.brut.resources.BrutContentTypeService
- BrutTestConfigurationException - Exception in org.bloomreach.forge.brut.common.exception
-
Exception thrown when BRUT test configuration is invalid or incomplete.
- BrutTestConfigurationException(String) - Constructor for exception org.bloomreach.forge.brut.common.exception.BrutTestConfigurationException
- BrutTestConfigurationException(String, Throwable) - Constructor for exception org.bloomreach.forge.brut.common.exception.BrutTestConfigurationException
- BrxmBeanRegistry - Class in org.bloomreach.forge.brut.common.processor
-
Reads the compile-time bean registry files written by
BrxmBeanRegistryProcessor. - BrxmBeanRegistryProcessor - Class in org.bloomreach.forge.brut.common.processor
-
Annotation processor that writes a compile-time bean registry for BRUT.
- BrxmBeanRegistryProcessor() - Constructor for class org.bloomreach.forge.brut.common.processor.BrxmBeanRegistryProcessor
- BrxmComponentTest - Annotation Interface in org.bloomreach.forge.brut.components.annotation
-
Annotation for HST component tests with zero-configuration defaults.
- BrxmComponentTestExtension - Class in org.bloomreach.forge.brut.components.annotation
- BrxmComponentTestExtension() - Constructor for class org.bloomreach.forge.brut.components.annotation.BrxmComponentTestExtension
- BrxmJaxrsTest - Annotation Interface in org.bloomreach.forge.brut.resources.annotation
-
Annotation for JAX-RS REST API tests that eliminates boilerplate configuration.
- BrxmJaxrsTestExtension - Class in org.bloomreach.forge.brut.resources.annotation
-
JUnit 5 extension that manages lifecycle for @BrxmJaxrsTest annotated tests.
- BrxmJaxrsTestExtension() - Constructor for class org.bloomreach.forge.brut.resources.annotation.BrxmJaxrsTestExtension
- BrxmPageModelTest - Annotation Interface in org.bloomreach.forge.brut.resources.annotation
-
Annotation for PageModel API tests that eliminates boilerplate configuration.
- BrxmPageModelTestExtension - Class in org.bloomreach.forge.brut.resources.annotation
-
JUnit 5 extension that manages lifecycle for @BrxmPageModelTest annotated tests.
- BrxmPageModelTestExtension() - Constructor for class org.bloomreach.forge.brut.resources.annotation.BrxmPageModelTestExtension
- BrxmTestingRepository - Class in org.bloomreach.forge.brut.common.repository
- BrxmTestingRepository() - Constructor for class org.bloomreach.forge.brut.common.repository.BrxmTestingRepository
- build() - Method in class org.bloomreach.forge.brut.common.project.strategy.DiscoveryContext.Builder
- builder() - Static method in class org.bloomreach.forge.brut.common.project.strategy.DiscoveryContext
C
- calculateHippoPaths(Node, LinkedList<String>) - Method in class org.bloomreach.forge.brut.common.repository.AbstractBrutRepository
- calculateHippoPaths(Node, LinkedList<String>) - Static method in class org.bloomreach.forge.brut.common.repository.utils.HippoPathUtils
-
Recursively sets
hippo:pathsonnodeand all its descendants, skippinghippo:handlesubtrees (handled viaHippoPathUtils.setHandleHippoPaths(javax.jcr.Node, java.util.LinkedList<java.lang.String>)) andhippotranslation:translationssubtrees. - canAccess(String) - Method in class org.bloomreach.forge.brut.common.repository.CustomAccessManager
- canHandle(BootstrapContext) - Method in class org.bloomreach.forge.brut.resources.bootstrap.ConfigServiceBootstrapStrategy
- canHandle(BootstrapContext) - Method in interface org.bloomreach.forge.brut.resources.bootstrap.JcrBootstrapStrategy
-
Determines if this strategy can handle the current environment.
- canHandle(BootstrapContext) - Method in class org.bloomreach.forge.brut.resources.bootstrap.ManualBootstrapStrategy
- canRead(Path, ItemId) - Method in class org.bloomreach.forge.brut.common.repository.CustomAccessManager
- checkPermission(Path, int) - Method in class org.bloomreach.forge.brut.common.repository.CustomAccessManager
- checkRepositoryPermission(int) - Method in class org.bloomreach.forge.brut.common.repository.CustomAccessManager
- ClasspathNodeAnnotationStrategy - Class in org.bloomreach.forge.brut.common.project.strategy
-
Strategy that scans the classpath for classes annotated with @Node and extracts their packages as bean package candidates.
- ClasspathNodeAnnotationStrategy() - Constructor for class org.bloomreach.forge.brut.common.project.strategy.ClasspathNodeAnnotationStrategy
- clear() - Method in class org.bloomreach.forge.brut.components.mock.MockHstLinkCreator
- close() - Method in class org.bloomreach.forge.brut.common.repository.BrxmTestingRepository
- close() - Method in class org.bloomreach.forge.brut.common.repository.CustomAccessManager
- close() - Method in class org.bloomreach.forge.brut.components.mock.DelegatingComponentManager
- close() - Method in class org.bloomreach.forge.brut.components.mock.MockComponentManager
- close() - Method in class org.bloomreach.forge.brut.resources.util.RepositorySession
- cndPatterns() - Element in annotation interface org.bloomreach.forge.brut.resources.annotation.BrxmJaxrsTest
-
CND resource patterns for loading test-specific node type definitions.
- commit() - Method in class org.bloomreach.forge.brut.common.repository.AcceptAllLoginModule
- commit() - Method in class org.bloomreach.forge.brut.common.repository.JcrTransactionSupport
- COMPONENT_REFERENCE_NAMESPACE - Static variable in class org.bloomreach.forge.brut.components.SimpleComponentTest
- componentConfiguration - Variable in class org.bloomreach.forge.brut.components.SimpleComponentTest
- componentHasModel(String, String) - Method in class org.bloomreach.forge.brut.resources.diagnostics.PageModelAssert
-
Asserts that a component has a specific model.
- componentManager - Variable in class org.bloomreach.forge.brut.components.SimpleComponentTest
- componentManager - Variable in class org.bloomreach.forge.brut.resources.AbstractResourceTest
- ConfigErrorParser - Class in org.bloomreach.forge.brut.resources.diagnostics
-
Utility for parsing HST configuration error messages.
- ConfigServiceBootstrapStrategy - Class in org.bloomreach.forge.brut.resources.bootstrap
-
Bootstrap strategy using brXM's ConfigurationConfigService.
- ConfigServiceBootstrapStrategy() - Constructor for class org.bloomreach.forge.brut.resources.bootstrap.ConfigServiceBootstrapStrategy
- ConfigServiceReflectionBridge - Class in org.bloomreach.forge.brut.resources.bootstrap
-
Bridge for invoking package-private methods in ConfigurationConfigService via reflection.
- ConfigServiceRepository - Class in org.bloomreach.forge.brut.resources
-
JCR repository that uses brXM's production ConfigService for HST bootstrap.
- ConfigServiceRepository(List<String>, List<String>, List<String>, List<String>, String) - Constructor for class org.bloomreach.forge.brut.resources.ConfigServiceRepository
-
Creates repository with ConfigService bootstrap.
- ConfigurationDiagnostics - Class in org.bloomreach.forge.brut.resources.diagnostics
-
Diagnostic utilities for analyzing HST configuration errors during bootstrap.
- containerConfiguration - Variable in class org.bloomreach.forge.brut.components.mock.MockComponentManager
- containerConfiguration - Variable in class org.bloomreach.forge.brut.components.SimpleComponentTest
- containerHasMinChildren(String, int) - Method in class org.bloomreach.forge.brut.resources.diagnostics.PageModelAssert
-
Asserts that a container exists and has at least the expected number of children.
- containerNotEmpty(String) - Method in class org.bloomreach.forge.brut.resources.diagnostics.PageModelAssert
-
Asserts that a container is not empty (has children).
- containsMultipleSchemes() - Method in class org.bloomreach.forge.brut.components.mock.MockMount
- content() - Element in annotation interface org.bloomreach.forge.brut.components.annotation.BrxmComponentTest
-
YAML content resource path to import before each test.
- ContentItem - Class in org.bloomreach.forge.brut.resources.pagemodel
-
Represents a content item (document) in PageModel API responses.
- ContentItem() - Constructor for class org.bloomreach.forge.brut.resources.pagemodel.ContentItem
- ContentRef - Class in org.bloomreach.forge.brut.resources.pagemodel
-
Represents a JSON reference ($ref) in PageModel API responses.
- ContentRef() - Constructor for class org.bloomreach.forge.brut.resources.pagemodel.ContentRef
- contentRoot() - Element in annotation interface org.bloomreach.forge.brut.components.annotation.BrxmComponentTest
-
Target path where content is imported.
- contributeAddonModulePaths() - Method in class org.bloomreach.forge.brut.resources.AbstractResourceTest
- contributeAddonModulePaths() - Method in class org.bloomreach.forge.brut.resources.annotation.DynamicJaxrsTest
- contributeAddonModulePaths() - Method in class org.bloomreach.forge.brut.resources.annotation.DynamicPageModelTest
- contributeHstConfigurationRootPath() - Method in class org.bloomreach.forge.brut.resources.AbstractResourceTest
- contributeHstConfigurationRootPath() - Method in class org.bloomreach.forge.brut.resources.annotation.DynamicJaxrsTest
- contributeHstConfigurationRootPath() - Method in class org.bloomreach.forge.brut.resources.annotation.DynamicPageModelTest
- contributeSpringConfigurationLocations() - Method in class org.bloomreach.forge.brut.resources.AbstractResourceTest
- contributeSpringConfigurationLocations() - Method in class org.bloomreach.forge.brut.resources.annotation.DynamicJaxrsTest
- contributeSpringConfigurationLocations() - Method in class org.bloomreach.forge.brut.resources.annotation.DynamicPageModelTest
- copyNodeRecursively(Node, Node) - Static method in class org.bloomreach.forge.brut.resources.bootstrap.JcrNodeSynchronizer
-
Copies a source node recursively to a parent node.
- create() - Static method in record class org.bloomreach.forge.brut.common.repository.SimpleXid
- create(String, Session, HstRequestContext) - Method in class org.bloomreach.forge.brut.components.mock.MockHstLinkCreator
- create(String, Mount) - Method in class org.bloomreach.forge.brut.components.mock.MockHstLinkCreator
- create(String, Mount, boolean) - Method in class org.bloomreach.forge.brut.components.mock.MockHstLinkCreator
- create(Node, Mount) - Method in class org.bloomreach.forge.brut.components.mock.MockHstLinkCreator
- create(Node, Mount, boolean) - Method in class org.bloomreach.forge.brut.components.mock.MockHstLinkCreator
- create(Node, Mount, HstSiteMapItem, boolean) - Method in class org.bloomreach.forge.brut.components.mock.MockHstLinkCreator
- create(Node, HstRequestContext) - Method in class org.bloomreach.forge.brut.components.mock.MockHstLinkCreator
- create(Node, HstRequestContext, String) - Method in class org.bloomreach.forge.brut.components.mock.MockHstLinkCreator
- create(Node, HstRequestContext, String, String) - Method in class org.bloomreach.forge.brut.components.mock.MockHstLinkCreator
- create(Node, HstRequestContext, HstSiteMapItem, boolean) - Method in class org.bloomreach.forge.brut.components.mock.MockHstLinkCreator
- create(Node, HstRequestContext, HstSiteMapItem, boolean, boolean) - Method in class org.bloomreach.forge.brut.components.mock.MockHstLinkCreator
- create(HstSiteMapItem, Mount) - Method in class org.bloomreach.forge.brut.components.mock.MockHstLinkCreator
- create(HippoBean, HstRequestContext) - Method in class org.bloomreach.forge.brut.components.mock.MockHstLinkCreator
- createAll(Node, Mount, String, String, boolean) - Method in class org.bloomreach.forge.brut.components.mock.MockHstLinkCreator
- createAll(Node, HstRequestContext, boolean) - Method in class org.bloomreach.forge.brut.components.mock.MockHstLinkCreator
- createAll(Node, HstRequestContext, String, String, boolean) - Method in class org.bloomreach.forge.brut.components.mock.MockHstLinkCreator
- createAllAvailableCanonicals(Node, Mount, String, String) - Method in class org.bloomreach.forge.brut.components.mock.MockHstLinkCreator
- createAllAvailableCanonicals(Node, HstRequestContext) - Method in class org.bloomreach.forge.brut.components.mock.MockHstLinkCreator
- createAllAvailableCanonicals(Node, HstRequestContext, String) - Method in class org.bloomreach.forge.brut.components.mock.MockHstLinkCreator
- createAllAvailableCanonicals(Node, HstRequestContext, String, String) - Method in class org.bloomreach.forge.brut.components.mock.MockHstLinkCreator
- createByRefId(String, Mount) - Method in class org.bloomreach.forge.brut.components.mock.MockHstLinkCreator
- createCanonical(Node, HstRequestContext) - Method in class org.bloomreach.forge.brut.components.mock.MockHstLinkCreator
- createCanonical(Node, HstRequestContext, HstSiteMapItem) - Method in class org.bloomreach.forge.brut.components.mock.MockHstLinkCreator
- createDefault() - Static method in class org.bloomreach.forge.brut.common.project.strategy.BeanPackageStrategyChain
-
Creates a chain with the default strategies in priority order.
- createJsonPointerId() - Method in class org.bloomreach.forge.brut.resources.DeterministicJsonPointerFactory
- createMixin(Session, String) - Static method in class org.bloomreach.forge.brut.common.repository.utils.NodeTypeUtils
- createMixin(Session, String, String) - Static method in class org.bloomreach.forge.brut.common.repository.utils.NodeTypeUtils
- createNode(String, String) - Method in class org.bloomreach.forge.brut.resources.util.RepositorySession
-
Creates a node at the specified path with the given primary type.
- createNodeType(Session, String) - Static method in class org.bloomreach.forge.brut.common.repository.utils.NodeTypeUtils
- createNodeType(Session, String, String) - Static method in class org.bloomreach.forge.brut.common.repository.utils.NodeTypeUtils
- createPageDefinition(String, String, Class, Object) - Method in class org.bloomreach.forge.brut.resources.AbstractPageModelTest
- createPageNotFoundLink(Mount) - Method in class org.bloomreach.forge.brut.components.mock.MockHstLinkCreator
- createSitemapItem(String, String) - Method in class org.bloomreach.forge.brut.resources.AbstractPageModelTest
- createTestInstance(TestConfig) - Method in class org.bloomreach.forge.brut.resources.annotation.BrxmJaxrsTestExtension
- createTestInstance(TestConfig) - Method in class org.bloomreach.forge.brut.resources.annotation.BrxmPageModelTestExtension
- current() - Static method in class org.bloomreach.forge.brut.common.repository.MockAuthenticationConfig
-
Gets the current thread's authentication config.
- CustomAccessManager - Class in org.bloomreach.forge.brut.common.repository
- CustomAccessManager() - Constructor for class org.bloomreach.forge.brut.common.repository.CustomAccessManager
D
- DelegatingComponentManager - Class in org.bloomreach.forge.brut.components.mock
- DelegatingComponentManager() - Constructor for class org.bloomreach.forge.brut.components.mock.DelegatingComponentManager
- delete(String) - Method in class org.bloomreach.forge.brut.resources.util.RequestBuilder
-
Sets up a DELETE request to the specified URI.
- derivePrefixFromUri(String) - Static method in class org.bloomreach.forge.brut.resources.bootstrap.RuntimeTypeStubber
-
Derives a namespace prefix from a URI.
- destroy() - Method in class org.bloomreach.forge.brut.resources.AbstractJaxrsTest
- destroy() - Method in class org.bloomreach.forge.brut.resources.AbstractResourceTest
- destroy() - Method in class org.bloomreach.forge.brut.resources.annotation.DynamicPageModelTest
- DeterministicJsonPointerFactory - Class in org.bloomreach.forge.brut.resources
- DeterministicJsonPointerFactory() - Constructor for class org.bloomreach.forge.brut.resources.DeterministicJsonPointerFactory
- diagnoseComponentNotFound(String, String, PageModelResponse) - Static method in class org.bloomreach.forge.brut.resources.diagnostics.PageModelDiagnostics
-
Diagnoses why a component is not found in the PageModel.
- diagnoseComponentNotFound(String, PageModelResponse) - Static method in class org.bloomreach.forge.brut.resources.diagnostics.PageModelDiagnostics
-
Diagnoses why a component is not found in the PageModel.
- diagnoseConfigurationError(Throwable) - Static method in class org.bloomreach.forge.brut.resources.diagnostics.ConfigurationDiagnostics
-
Diagnoses a configuration error by analyzing the exception chain and extracting actionable information.
- diagnoseEmptyContainer(String, PageModelResponse) - Static method in class org.bloomreach.forge.brut.resources.diagnostics.PageModelDiagnostics
-
Diagnoses why a container is empty (has no children).
- diagnoseEmptyResponse(String) - Static method in class org.bloomreach.forge.brut.resources.diagnostics.PageModelDiagnostics
-
Diagnoses an empty HTTP response from a Page Model API request.
- diagnosePageNotFound(String, String, PageModelResponse) - Static method in class org.bloomreach.forge.brut.resources.diagnostics.PageModelDiagnostics
-
Diagnoses why a page is not loading as expected.
- DiagnosticResult - Record Class in org.bloomreach.forge.brut.resources.diagnostics
-
Structured diagnostic result containing severity, message, and recommendations.
- DiagnosticResult(DiagnosticSeverity, String, List<String>) - Constructor for record class org.bloomreach.forge.brut.resources.diagnostics.DiagnosticResult
-
Creates an instance of a
DiagnosticResultrecord class. - DiagnosticSeverity - Enum Class in org.bloomreach.forge.brut.resources.diagnostics
-
Severity levels for diagnostic results.
- discoverRepositoryModuleDescriptors(Path) - Static method in class org.bloomreach.forge.brut.common.project.ProjectDiscovery
- discoverRepositoryModuleDescriptors(Path, List<String>) - Static method in class org.bloomreach.forge.brut.common.project.ProjectDiscovery
- DiscoveryContext - Class in org.bloomreach.forge.brut.common.project.strategy
-
Immutable context containing all information strategies may need for bean package discovery.
- DiscoveryContext.Builder - Class in org.bloomreach.forge.brut.common.project.strategy
- DynamicComponentTest - Class in org.bloomreach.forge.brut.components.annotation
- DynamicComponentTest(ComponentTestConfig) - Constructor for class org.bloomreach.forge.brut.components.annotation.DynamicComponentTest
- DynamicJaxrsTest - Class in org.bloomreach.forge.brut.resources.annotation
-
Dynamic JAX-RS test implementation that bridges annotation-based API to existing AbstractJaxrsTest.
- DynamicJaxrsTest(TestConfig) - Constructor for class org.bloomreach.forge.brut.resources.annotation.DynamicJaxrsTest
- DynamicPageModelTest - Class in org.bloomreach.forge.brut.resources.annotation
-
Dynamic PageModel test implementation that bridges annotation-based API to existing AbstractPageModelTest.
- DynamicPageModelTest(TestConfig) - Constructor for class org.bloomreach.forge.brut.resources.annotation.DynamicPageModelTest
E
- equals(Object) - Method in record class org.bloomreach.forge.brut.common.repository.SimpleXid
-
Indicates whether some other object is "equal to" this one.
- equals(Object) - Method in record class org.bloomreach.forge.brut.resources.diagnostics.DiagnosticResult
-
Indicates whether some other object is "equal to" this one.
- equals(Object) - Method in class org.bloomreach.forge.brut.resources.util.Response
- error(String, List<String>) - Static method in record class org.bloomreach.forge.brut.resources.diagnostics.DiagnosticResult
-
Creates an error diagnostic result with recommendations.
- ERROR - Enum constant in enum class org.bloomreach.forge.brut.resources.diagnostics.DiagnosticSeverity
- execute() - Method in class org.bloomreach.forge.brut.resources.util.RequestBuilder
-
Executes the request and returns the response body.
- executeAs(Class<T>) - Method in class org.bloomreach.forge.brut.resources.util.RequestBuilder
-
Executes the request and deserializes the JSON response to the specified type.
- executeAsPageModel() - Method in class org.bloomreach.forge.brut.resources.util.RequestBuilder
-
Executes the request and parses the response as a PageModelResponse.
- executeWithStatus() - Method in class org.bloomreach.forge.brut.resources.util.RequestBuilder
-
Executes the request and returns the response with status code.
- executeWithStatus(Class<T>) - Method in class org.bloomreach.forge.brut.resources.util.RequestBuilder
-
Executes the request and returns the response with status code and typed body.
- extractFailedPath(String) - Static method in class org.bloomreach.forge.brut.resources.diagnostics.ConfigErrorParser
-
Extracts the failed JCR path from an error message.
- extractItemExistsPath(Throwable) - Static method in class org.bloomreach.forge.brut.resources.bootstrap.ConfigServiceReflectionBridge
-
Extracts the path from an ItemExistsException message.
- extractNamespacePrefix(String) - Static method in class org.bloomreach.forge.brut.resources.bootstrap.RuntimeTypeStubber
-
Extracts a namespace prefix from an exception message.
- extractNodeType(String) - Static method in class org.bloomreach.forge.brut.resources.bootstrap.RuntimeTypeStubber
-
Extracts a node type name from an exception message.
- extractNodeType(String) - Static method in class org.bloomreach.forge.brut.resources.diagnostics.ConfigErrorParser
-
Extracts the node type from an error message.
- extractPropertyIssue(String) - Static method in class org.bloomreach.forge.brut.resources.diagnostics.ConfigErrorParser
-
Extracts property definition issue from error message.
- extractYamlFile(String) - Static method in class org.bloomreach.forge.brut.resources.diagnostics.ConfigErrorParser
-
Extracts the YAML configuration file from an error message.
F
- FileResourceInputProvider - Class in org.bloomreach.forge.brut.common.repository
-
Used for resolving relative resource paths.
- FileResourceInputProvider(String) - Constructor for class org.bloomreach.forge.brut.common.repository.FileResourceInputProvider
- findAnnotation(Class<?>, Class<A>) - Static method in class org.bloomreach.forge.brut.common.junit.NestedTestClassSupport
-
Finds an annotation on the test class or any of its enclosing classes.
- findBySimpleName(Throwable, String) - Static method in class org.bloomreach.forge.brut.resources.diagnostics.ConfigErrorParser
-
Finds an exception in the cause chain matching the given simple class name.
- findComponentByName(String) - Method in class org.bloomreach.forge.brut.resources.pagemodel.PageModelResponse
-
Finds a component by name, searching the entire component tree.
- findComponentsByType(String) - Method in class org.bloomreach.forge.brut.resources.pagemodel.PageModelResponse
-
Finds all components matching a given type.
- findConfigurationException(Throwable) - Static method in class org.bloomreach.forge.brut.resources.diagnostics.ConfigErrorParser
-
Finds a ConfigurationRuntimeException in the exception chain.
- findItemExistsException(Throwable) - Static method in class org.bloomreach.forge.brut.resources.bootstrap.ConfigServiceReflectionBridge
-
Finds an ItemExistsException in the exception chain.
- findParserException(Throwable) - Static method in class org.bloomreach.forge.brut.resources.diagnostics.ConfigErrorParser
-
Finds a ParserException in the exception chain.
- findProjectRoot(Path) - Static method in class org.bloomreach.forge.brut.common.project.ProjectDiscovery
- forceClose() - Method in class org.bloomreach.forge.brut.common.repository.BrxmTestingRepository
- formatId() - Method in record class org.bloomreach.forge.brut.common.repository.SimpleXid
-
Returns the value of the
formatIdrecord component. - forRepository(Repository) - Static method in class org.bloomreach.forge.brut.resources.util.RepositorySession
-
Static factory method for creating RepositorySession with admin credentials.
- fromServiceLoader() - Static method in class org.bloomreach.forge.brut.common.project.strategy.BeanPackageStrategyChain
-
Creates a chain from ServiceLoader-discovered strategies.
G
- get() - Static method in class org.bloomreach.forge.brut.resources.DeterministicJsonPointerFactory
- get(String) - Method in class org.bloomreach.forge.brut.resources.util.RequestBuilder
-
Sets up a GET request to the specified URI.
- getAlias() - Method in class org.bloomreach.forge.brut.components.mock.MockMount
- getAnnotatedClassesResourcePath() - Method in class org.bloomreach.forge.brut.components.AbstractRepoTest
- getAnnotatedClassesResourcePath() - Method in class org.bloomreach.forge.brut.components.annotation.DynamicComponentTest
- getAnnotatedHstBeansClasses() - Method in class org.bloomreach.forge.brut.resources.AbstractResourceTest
- getAnnotatedHstBeansClasses() - Method in class org.bloomreach.forge.brut.resources.annotation.DynamicJaxrsTest
- getAnnotatedHstBeansClasses() - Method in class org.bloomreach.forge.brut.resources.annotation.DynamicPageModelTest
- getAnnotationClass() - Method in class org.bloomreach.forge.brut.resources.annotation.BrxmJaxrsTestExtension
- getAnnotationClass() - Method in class org.bloomreach.forge.brut.resources.annotation.BrxmPageModelTestExtension
- getApplicablePolicies(String) - Method in class org.bloomreach.forge.brut.common.repository.CustomAccessManager
- getApplicationSubModule() - Method in class org.bloomreach.forge.brut.common.project.ProjectSettings
- getBinariesPrefix() - Method in class org.bloomreach.forge.brut.components.mock.MockHstLinkCreator
- getBranchQualifier() - Method in record class org.bloomreach.forge.brut.common.repository.SimpleXid
- getChannel() - Method in class org.bloomreach.forge.brut.components.mock.MockMount
- getChannel() - Method in class org.bloomreach.forge.brut.resources.pagemodel.PageModelResponse
- getChannelInfo() - Method in class org.bloomreach.forge.brut.components.mock.MockMount
- getChannelProperty(String) - Method in class org.bloomreach.forge.brut.resources.pagemodel.PageModelResponse
-
Gets a channel property value.
- getChildComponents(PageComponent) - Method in class org.bloomreach.forge.brut.resources.pagemodel.PageModelResponse
-
Gets all child components of a parent component.
- getChildMount(String) - Method in class org.bloomreach.forge.brut.components.mock.MockMount
- getChildMounts() - Method in class org.bloomreach.forge.brut.components.mock.MockMount
- getChildNode(String) - Method in class org.bloomreach.forge.brut.resources.util.NodeAssert
-
Gets a child node and returns a NodeAssert for it.
- getChildren() - Method in class org.bloomreach.forge.brut.resources.pagemodel.PageComponent
- getClassLoader() - Method in class org.bloomreach.forge.brut.resources.bootstrap.BootstrapContext
- getCndPatterns() - Method in class org.bloomreach.forge.brut.resources.bootstrap.BootstrapContext
- getComponent(Class<T>) - Method in class org.bloomreach.forge.brut.components.mock.DelegatingComponentManager
- getComponent(Class<T>) - Method in class org.bloomreach.forge.brut.components.mock.MockComponentManager
- getComponent(Class<T>, String...) - Method in class org.bloomreach.forge.brut.components.mock.DelegatingComponentManager
- getComponent(Class<T>, String...) - Method in class org.bloomreach.forge.brut.components.mock.MockComponentManager
- getComponent(String) - Method in class org.bloomreach.forge.brut.components.mock.DelegatingComponentManager
- getComponent(String) - Method in class org.bloomreach.forge.brut.components.mock.MockComponentManager
- getComponent(String) - Method in class org.bloomreach.forge.brut.resources.diagnostics.PageModelAssert
-
Asserts that a component exists and returns it for further assertions.
- getComponent(String, String...) - Method in class org.bloomreach.forge.brut.components.mock.DelegatingComponentManager
- getComponent(String, String...) - Method in class org.bloomreach.forge.brut.components.mock.MockComponentManager
- getComponentClass() - Method in class org.bloomreach.forge.brut.resources.pagemodel.PageComponent
- getComponentConfiguration() - Method in class org.bloomreach.forge.brut.components.annotation.DynamicComponentTest
- getComponentCount() - Method in class org.bloomreach.forge.brut.resources.pagemodel.PageModelResponse
-
Gets the total number of components in the page.
- getComponentDocument(PageComponent) - Method in class org.bloomreach.forge.brut.resources.pagemodel.PageModelResponse
-
Gets the document associated with a component.
- getComponentManager() - Method in class org.bloomreach.forge.brut.resources.AbstractResourceTest
- getComponentReferenceNamespace() - Method in class org.bloomreach.forge.brut.components.SimpleComponentTest
- getComponentsOfType(Class<T>) - Method in class org.bloomreach.forge.brut.components.mock.DelegatingComponentManager
- getComponentsOfType(Class<T>) - Method in class org.bloomreach.forge.brut.components.mock.MockComponentManager
- getComponentsOfType(Class<T>, String...) - Method in class org.bloomreach.forge.brut.components.mock.DelegatingComponentManager
- getComponentsOfType(Class<T>, String...) - Method in class org.bloomreach.forge.brut.components.mock.MockComponentManager
- getConfigurationResources() - Method in class org.bloomreach.forge.brut.components.mock.DelegatingComponentManager
- getConfigurationResources() - Method in class org.bloomreach.forge.brut.components.mock.MockComponentManager
- getConfigurationResources() - Method in class org.bloomreach.forge.brut.resources.SpringComponentManager
- getContainerConfiguration() - Method in class org.bloomreach.forge.brut.components.mock.DelegatingComponentManager
- getContainerConfiguration() - Method in class org.bloomreach.forge.brut.components.mock.MockComponentManager
- getContent() - Method in class org.bloomreach.forge.brut.resources.pagemodel.PageModelResponse
- getContentPath() - Method in class org.bloomreach.forge.brut.components.mock.MockMount
- getContentTypes() - Method in class org.bloomreach.forge.brut.resources.BrutContentTypeService
- getContextPath() - Method in class org.bloomreach.forge.brut.components.mock.MockMount
- getData() - Method in class org.bloomreach.forge.brut.resources.pagemodel.ContentItem
- getDataField(String) - Method in class org.bloomreach.forge.brut.resources.pagemodel.ContentItem
-
Gets a field value from the data map.
- getDefaultResourceBundleIds() - Method in class org.bloomreach.forge.brut.components.mock.MockMount
- getDefaultSiteMapItemHandlerIds() - Method in class org.bloomreach.forge.brut.components.mock.MockMount
- getDescriptor(String) - Method in class org.bloomreach.forge.brut.common.repository.BrxmTestingRepository
- getDescriptorKeys() - Method in class org.bloomreach.forge.brut.common.repository.BrxmTestingRepository
- getDescriptorValue(String) - Method in class org.bloomreach.forge.brut.common.repository.BrxmTestingRepository
- getDescriptorValues(String) - Method in class org.bloomreach.forge.brut.common.repository.BrxmTestingRepository
- getDevelopmentSubModule() - Method in class org.bloomreach.forge.brut.common.project.ProjectSettings
- getDisplayName() - Method in class org.bloomreach.forge.brut.resources.pagemodel.ContentItem
- getDocumentRef() - Method in class org.bloomreach.forge.brut.resources.pagemodel.PageComponent
-
Gets the document reference from the models map.
- getDocuments() - Method in class org.bloomreach.forge.brut.resources.pagemodel.PageModelResponse
- getEffectiveNodeTypes() - Method in class org.bloomreach.forge.brut.resources.BrutContentTypeService
- getEffectivePolicies(String) - Method in class org.bloomreach.forge.brut.common.repository.CustomAccessManager
- getExpectedResponse(String) - Method in class org.bloomreach.forge.brut.resources.AbstractPageModelTest
- getFormatId() - Method in record class org.bloomreach.forge.brut.common.repository.SimpleXid
- getFormLoginPage() - Method in class org.bloomreach.forge.brut.components.mock.MockMount
- getFormLoginPage() - Method in class org.bloomreach.forge.brut.components.mock.MockResolvedMount
- getFrameworkName() - Method in class org.bloomreach.forge.brut.resources.annotation.BrxmJaxrsTestExtension
- getFrameworkName() - Method in class org.bloomreach.forge.brut.resources.annotation.BrxmPageModelTestExtension
- getGlobalTransactionId() - Method in record class org.bloomreach.forge.brut.common.repository.SimpleXid
- getHcmConfigPatterns() - Method in class org.bloomreach.forge.brut.resources.bootstrap.BootstrapContext
- getHippoBean(String) - Method in class org.bloomreach.forge.brut.components.AbstractRepoTest
- getHippoBean(String) - Method in class org.bloomreach.forge.brut.components.annotation.DynamicComponentTest
- getHomePage() - Method in class org.bloomreach.forge.brut.components.mock.MockMount
- getHref() - Method in class org.bloomreach.forge.brut.resources.pagemodel.Link
- getHstLinkUrlPrefix() - Method in class org.bloomreach.forge.brut.components.mock.MockMount
- getHstModelRegistry() - Method in class org.bloomreach.forge.brut.resources.AbstractResourceTest
- getHstRequest() - Method in class org.bloomreach.forge.brut.components.annotation.DynamicComponentTest
- getHstRequest() - Method in class org.bloomreach.forge.brut.resources.AbstractResourceTest
- getHstRequest() - Method in class org.bloomreach.forge.brut.resources.annotation.DynamicPageModelTest
- getHstRequestContext() - Method in class org.bloomreach.forge.brut.components.annotation.DynamicComponentTest
- getHstResponse() - Method in class org.bloomreach.forge.brut.components.annotation.DynamicComponentTest
- getHstRoot() - Method in class org.bloomreach.forge.brut.common.project.ProjectSettings
- getHstSite() - Method in class org.bloomreach.forge.brut.components.mock.MockMount
- getHstSiteMapMatcher() - Method in class org.bloomreach.forge.brut.components.mock.MockMount
- getId() - Method in class org.bloomreach.forge.brut.resources.pagemodel.ContentItem
- getId() - Method in class org.bloomreach.forge.brut.resources.pagemodel.ContentRef
-
Extracts the ID portion from the reference path.
- getId() - Method in class org.bloomreach.forge.brut.resources.pagemodel.PageComponent
- getIdentifier() - Method in class org.bloomreach.forge.brut.components.mock.MockMount
- getInputStream() - Method in class org.bloomreach.forge.brut.resources.MockHstRequest
- getLabel() - Method in class org.bloomreach.forge.brut.resources.pagemodel.PageComponent
- getLinks() - Method in class org.bloomreach.forge.brut.resources.pagemodel.ContentItem
- getLinks() - Method in class org.bloomreach.forge.brut.resources.pagemodel.PageComponent
- getLinks() - Method in class org.bloomreach.forge.brut.resources.pagemodel.PageModelResponse
- getLocale() - Method in class org.bloomreach.forge.brut.components.mock.MockMount
- getLocaleString() - Method in class org.bloomreach.forge.brut.resources.pagemodel.ContentItem
- getLocationResolvers() - Method in class org.bloomreach.forge.brut.components.mock.MockHstLinkCreator
- getLogger() - Method in class org.bloomreach.forge.brut.resources.annotation.BrxmJaxrsTestExtension
- getLogger() - Method in class org.bloomreach.forge.brut.resources.annotation.BrxmPageModelTestExtension
- getMatchingIgnoredPrefix() - Method in class org.bloomreach.forge.brut.components.mock.MockResolvedMount
- getMeta() - Method in class org.bloomreach.forge.brut.resources.pagemodel.PageComponent
- getMeta() - Method in class org.bloomreach.forge.brut.resources.pagemodel.PageModelResponse
- getMeta(String) - Method in class org.bloomreach.forge.brut.resources.pagemodel.PageComponent
-
Gets a metadata value by key.
- getMeta(String) - Method in class org.bloomreach.forge.brut.resources.pagemodel.PageModelResponse
-
Gets a metadata value.
- getMethod(Object, String, Class<?>...) - Static method in class org.bloomreach.forge.brut.common.repository.utils.ReflectionUtils
- getMockComponentManager() - Method in class org.bloomreach.forge.brut.components.annotation.DynamicComponentTest
- getModel(String) - Method in class org.bloomreach.forge.brut.resources.pagemodel.PageComponent
-
Gets a model value by name.
- getModelAs(String, Class<T>) - Method in class org.bloomreach.forge.brut.resources.pagemodel.PageComponent
-
Converts a model to a custom POJO type.
- getModels() - Method in class org.bloomreach.forge.brut.resources.pagemodel.PageComponent
- getModuleDescriptors() - Method in class org.bloomreach.forge.brut.resources.bootstrap.BootstrapContext
- getMount() - Method in class org.bloomreach.forge.brut.components.mock.MockResolvedMount
- getMountPath() - Method in class org.bloomreach.forge.brut.components.mock.MockMount
- getMountPoint() - Method in class org.bloomreach.forge.brut.components.mock.MockMount
- getMountProperties() - Method in class org.bloomreach.forge.brut.components.mock.MockMount
- getName() - Method in interface org.bloomreach.forge.brut.common.project.strategy.BeanPackageStrategy
-
Returns a descriptive name for logging purposes.
- getName() - Method in class org.bloomreach.forge.brut.components.mock.MockMount
- getName() - Method in class org.bloomreach.forge.brut.resources.pagemodel.ContentItem
- getName() - Method in class org.bloomreach.forge.brut.resources.pagemodel.PageComponent
- getNamedPipeline() - Method in class org.bloomreach.forge.brut.components.mock.MockMount
- getNamedPipeline() - Method in class org.bloomreach.forge.brut.components.mock.MockResolvedMount
- getNestedField(String) - Method in class org.bloomreach.forge.brut.resources.pagemodel.ContentItem
-
Gets a nested field value using dot notation.
- getNode() - Method in class org.bloomreach.forge.brut.resources.util.NodeAssert
-
Gets the underlying JCR node for advanced operations.
- getNode(String) - Method in class org.bloomreach.forge.brut.resources.util.RepositorySession
-
Gets a node and returns a NodeAssert for fluent assertions.
- getOrAddChild(Node, String, String) - Static method in class org.bloomreach.forge.brut.resources.bootstrap.JcrNodeSynchronizer
-
Gets or creates a child node with the given name and primary type.
- getOrder() - Method in class org.bloomreach.forge.brut.common.project.strategy.DiscoveryContext
- getOrRegisterNamespace(Session, String) - Static method in class org.bloomreach.forge.brut.common.repository.utils.NodeTypeUtils
- getPage() - Method in class org.bloomreach.forge.brut.resources.pagemodel.PageModelResponse
- getPageModel() - Method in class org.bloomreach.forge.brut.resources.diagnostics.PageModelAssert
-
Gets the underlying PageModelResponse for advanced operations.
- getPageModelApi() - Method in class org.bloomreach.forge.brut.components.mock.MockMount
- getPageNotFound() - Method in class org.bloomreach.forge.brut.components.mock.MockMount
- getParameter(String) - Method in class org.bloomreach.forge.brut.components.mock.MockMount
- getParameters() - Method in class org.bloomreach.forge.brut.components.mock.MockMount
- getParent() - Method in class org.bloomreach.forge.brut.components.mock.MockMount
- getPathsForNode(Node, Node) - Method in class org.bloomreach.forge.brut.common.repository.AbstractBrutRepository
- getPathsForNode(Node, Node) - Static method in class org.bloomreach.forge.brut.common.repository.utils.HippoPathUtils
-
Collects the ancestor identifiers of
nodeup to (but not including)rootNode. - getPathToTestResource() - Method in class org.bloomreach.forge.brut.components.annotation.DynamicComponentTest
- getPathToTestResource() - Method in class org.bloomreach.forge.brut.components.SimpleComponentTest
- getPlatformServices() - Method in class org.bloomreach.forge.brut.resources.AbstractResourceTest
- getPolicies(String) - Method in class org.bloomreach.forge.brut.common.repository.CustomAccessManager
- getPort() - Method in class org.bloomreach.forge.brut.components.mock.MockMount
- getPortNumber() - Method in class org.bloomreach.forge.brut.components.mock.MockResolvedMount
- getPreviewChannel() - Method in class org.bloomreach.forge.brut.components.mock.MockMount
- getPreviewChannelInfo() - Method in class org.bloomreach.forge.brut.components.mock.MockMount
- getPreviewHstSite() - Method in class org.bloomreach.forge.brut.components.mock.MockMount
- getPriority() - Method in interface org.bloomreach.forge.brut.common.project.strategy.BeanPackageStrategy
-
Returns the priority of this strategy.
- getPriority() - Method in class org.bloomreach.forge.brut.common.project.strategy.ClasspathNodeAnnotationStrategy
- getPriority() - Method in class org.bloomreach.forge.brut.common.project.strategy.PomGroupIdStrategy
- getPriority() - Method in class org.bloomreach.forge.brut.common.project.strategy.ProjectSettingsStrategy
- getPriority() - Method in class org.bloomreach.forge.brut.common.project.strategy.TestClassHeuristicStrategy
- getProjectNamespace() - Method in class org.bloomreach.forge.brut.common.project.ProjectSettings
- getProjectRoot() - Method in class org.bloomreach.forge.brut.common.project.strategy.DiscoveryContext
- getProjectSettings() - Method in class org.bloomreach.forge.brut.common.project.strategy.DiscoveryContext
- getProperty(String) - Method in class org.bloomreach.forge.brut.components.mock.MockMount
- getPropertyNames() - Method in class org.bloomreach.forge.brut.components.mock.MockMount
- getRef() - Method in class org.bloomreach.forge.brut.resources.pagemodel.ContentRef
- getRelativeBean(String) - Method in class org.bloomreach.forge.brut.components.AbstractRepoTest
-
Safely retrieves a bean relative to the site content base.
- getRelativeBean(String, Class<T>) - Method in class org.bloomreach.forge.brut.components.AbstractRepoTest
-
Safely retrieves a typed bean relative to the site content base.
- getRepository() - Method in class org.bloomreach.forge.brut.components.annotation.DynamicComponentTest
- getRepository() - Method in class org.bloomreach.forge.brut.components.BaseComponentTest
- getRepository() - Method in class org.bloomreach.forge.brut.resources.AbstractPageModelTest
- getRepositoryConfigFileLocation() - Method in class org.bloomreach.forge.brut.common.repository.BrxmTestingRepository
- getRepositoryDataModule() - Method in class org.bloomreach.forge.brut.common.project.ProjectSettings
- getRequestAttribute(String) - Method in class org.bloomreach.forge.brut.components.SimpleComponentTest
- getRequestAttributeValue(String) - Method in class org.bloomreach.forge.brut.components.annotation.DynamicComponentTest
- getResolvedMountPath() - Method in class org.bloomreach.forge.brut.components.mock.MockResolvedMount
- getResolvedSiteMapItem() - Method in class org.bloomreach.forge.brut.components.annotation.DynamicComponentTest
- getResourceAsStream(String) - Method in class org.bloomreach.forge.brut.components.AbstractRepoTest
- getResourceInputStream(Source, String) - Method in class org.bloomreach.forge.brut.common.repository.FileResourceInputProvider
- getResponseById(String) - Method in class org.bloomreach.forge.brut.resources.AbstractPageModelTest
- getResponseHeaders() - Method in class org.bloomreach.forge.brut.components.mock.MockMount
- getResponseStatus() - Method in class org.bloomreach.forge.brut.resources.AbstractResourceTest
- getRoles() - Method in class org.bloomreach.forge.brut.components.mock.MockMount
- getRoles() - Method in class org.bloomreach.forge.brut.components.mock.MockResolvedMount
- getRoot() - Method in class org.bloomreach.forge.brut.resources.pagemodel.PageModelResponse
- getRootComponent() - Method in class org.bloomreach.forge.brut.resources.pagemodel.PageModelResponse
-
Gets the root component of the page.
- getRootContext(ExtensionContext) - Static method in class org.bloomreach.forge.brut.common.junit.NestedTestClassSupport
-
Gets the root extension context for nested test classes.
- getRootNode() - Method in class org.bloomreach.forge.brut.components.annotation.DynamicComponentTest
- getRootNode() - Method in class org.bloomreach.forge.brut.resources.util.RepositorySession
-
Gets the root node.
- getRootTestClass(Class<?>) - Static method in class org.bloomreach.forge.brut.common.junit.NestedTestClassSupport
-
Gets the root test class, walking up through nested classes to find the outermost class.
- getScheme() - Method in class org.bloomreach.forge.brut.components.mock.MockMount
- getSchemeNotMatchingResponseCode() - Method in class org.bloomreach.forge.brut.components.mock.MockMount
- getSection() - Method in class org.bloomreach.forge.brut.resources.pagemodel.ContentRef
-
Returns the section prefix from the reference path.
- getSelectedBeansPackage() - Method in class org.bloomreach.forge.brut.common.project.ProjectSettings
- getSelectedComponentsPackage() - Method in class org.bloomreach.forge.brut.common.project.ProjectSettings
- getSelectedProjectPackage() - Method in class org.bloomreach.forge.brut.common.project.ProjectSettings
- getSelectedRestPackage() - Method in class org.bloomreach.forge.brut.common.project.ProjectSettings
- getServletConfig() - Method in class org.bloomreach.forge.brut.components.mock.MockComponentManager
-
Deprecated, for removal: This API element is subject to removal in a future version.
- getServletContext() - Method in class org.bloomreach.forge.brut.components.mock.DelegatingComponentManager
- getServletContext() - Method in class org.bloomreach.forge.brut.components.mock.MockComponentManager
- getServletContext() - Method in class org.bloomreach.forge.brut.resources.MockHstRequest
- getServletInputStreamSize() - Method in class org.bloomreach.forge.brut.resources.AbstractJaxrsTest
- getSession() - Method in class org.bloomreach.forge.brut.components.annotation.DynamicComponentTest
- getSession() - Method in class org.bloomreach.forge.brut.resources.AbstractPageModelTest
- getSession() - Method in class org.bloomreach.forge.brut.resources.MockHstRequest
- getSession() - Method in class org.bloomreach.forge.brut.resources.util.RepositorySession
-
Gets the underlying JCR session for advanced operations.
- getSession(boolean) - Method in class org.bloomreach.forge.brut.resources.MockHstRequest
- getSiteContentBaseBeanOrNull() - Method in class org.bloomreach.forge.brut.components.AbstractRepoTest
- getSiteModule() - Method in class org.bloomreach.forge.brut.common.project.ProjectSettings
- getStartPath() - Method in class org.bloomreach.forge.brut.common.project.strategy.DiscoveryContext
- getStatus() - Method in interface org.bloomreach.forge.brut.resources.util.RequestBuilder.StatusSupplier
- getStrategyInfo() - Method in class org.bloomreach.forge.brut.common.project.strategy.BeanPackageStrategyChain
-
Returns information about which strategies are in the chain.
- getSupportedPrivileges(String) - Method in class org.bloomreach.forge.brut.common.repository.CustomAccessManager
- getTestInstanceClass() - Method in class org.bloomreach.forge.brut.resources.annotation.BrxmJaxrsTestExtension
- getTestInstanceClass() - Method in class org.bloomreach.forge.brut.resources.annotation.BrxmPageModelTestExtension
- getTestInstanceKey() - Method in class org.bloomreach.forge.brut.resources.annotation.BrxmJaxrsTestExtension
- getTestInstanceKey() - Method in class org.bloomreach.forge.brut.resources.annotation.BrxmPageModelTestExtension
- getTestPackage() - Method in class org.bloomreach.forge.brut.common.project.strategy.DiscoveryContext
- getType() - Method in class org.bloomreach.forge.brut.components.mock.MockMount
- getType() - Method in class org.bloomreach.forge.brut.resources.pagemodel.ContentItem
- getType() - Method in class org.bloomreach.forge.brut.resources.pagemodel.Link
- getType() - Method in class org.bloomreach.forge.brut.resources.pagemodel.PageComponent
- getTypes() - Method in class org.bloomreach.forge.brut.components.mock.MockMount
- getUsers() - Method in class org.bloomreach.forge.brut.components.mock.MockMount
- getUsers() - Method in class org.bloomreach.forge.brut.components.mock.MockResolvedMount
- getVirtualHost() - Method in class org.bloomreach.forge.brut.components.mock.MockMount
- getWebfilesSubModule() - Method in class org.bloomreach.forge.brut.common.project.ProjectSettings
- getWritableCredentials() - Method in class org.bloomreach.forge.brut.components.BaseComponentTest
- getYamlPatterns() - Method in class org.bloomreach.forge.brut.resources.bootstrap.BootstrapContext
- globalTransactionId() - Method in record class org.bloomreach.forge.brut.common.repository.SimpleXid
-
Returns the value of the
globalTransactionIdrecord component.
H
- hasComponent(String) - Method in class org.bloomreach.forge.brut.resources.diagnostics.PageModelAssert
-
Asserts that a component exists in the PageModel.
- hasContent() - Method in class org.bloomreach.forge.brut.resources.diagnostics.PageModelAssert
-
Asserts that the PageModel has content items.
- hasContent() - Method in class org.bloomreach.forge.brut.resources.pagemodel.PageModelResponse
-
Checks if this response has content items.
- hashCode() - Method in record class org.bloomreach.forge.brut.common.repository.SimpleXid
-
Returns a hash code value for this object.
- hashCode() - Method in record class org.bloomreach.forge.brut.resources.diagnostics.DiagnosticResult
-
Returns a hash code value for this object.
- hashCode() - Method in class org.bloomreach.forge.brut.resources.util.Response
- hasModel(String) - Method in class org.bloomreach.forge.brut.resources.pagemodel.PageComponent
-
Checks if this component has a model with the given name.
- hasNoChannelInfo() - Method in class org.bloomreach.forge.brut.components.mock.MockMount
- hasPage(String) - Method in class org.bloomreach.forge.brut.resources.diagnostics.PageModelAssert
-
Asserts that the PageModel loaded the expected page.
- hasPermission(String, String) - Method in class org.bloomreach.forge.brut.common.repository.CustomAccessManager
- hasPrivileges(String, Privilege[]) - Method in class org.bloomreach.forge.brut.common.repository.CustomAccessManager
- hasResource(Source, String) - Method in class org.bloomreach.forge.brut.common.repository.FileResourceInputProvider
- hasRules() - Method in class org.bloomreach.forge.brut.common.repository.MockAuthenticationConfig
-
Returns true if any rejection rules are configured.
- hasSiteContentBaseBean() - Method in class org.bloomreach.forge.brut.components.AbstractRepoTest
- HippoPathUtils - Class in org.bloomreach.forge.brut.common.repository.utils
-
Utility methods for computing and setting
hippo:pathsproperties on JCR nodes. - hstLinkCreator - Variable in class org.bloomreach.forge.brut.components.SimpleComponentTest
- hstModelRegistry - Variable in class org.bloomreach.forge.brut.resources.AbstractResourceTest
- hstQueryManager - Variable in class org.bloomreach.forge.brut.components.AbstractRepoTest
- hstRequest - Variable in class org.bloomreach.forge.brut.resources.AbstractResourceTest
- hstResponse - Variable in class org.bloomreach.forge.brut.resources.AbstractResourceTest
- hstRoot() - Element in annotation interface org.bloomreach.forge.brut.resources.annotation.BrxmJaxrsTest
-
HST configuration root path in the repository.
- hstRoot() - Element in annotation interface org.bloomreach.forge.brut.resources.annotation.BrxmPageModelTest
-
HST configuration root path in the repository.
I
- importComponent(String, String, Class, Object) - Method in class org.bloomreach.forge.brut.resources.AbstractPageModelTest
- ImporterUtils - Class in org.bloomreach.forge.brut.common.repository.utils
- importYaml(String, String) - Method in class org.bloomreach.forge.brut.components.annotation.DynamicComponentTest
-
Import stubbed YAML content into the repository.
- importYaml(String, String, String) - Method in class org.bloomreach.forge.brut.components.annotation.DynamicComponentTest
-
Import YAML content into the repository with custom folder type.
- importYaml(String, String, String, Class<?>) - Method in class org.bloomreach.forge.brut.components.annotation.DynamicComponentTest
-
Import YAML content into the repository using a specific class's classloader.
- importYaml(URL, Node, String, String) - Static method in class org.bloomreach.forge.brut.common.repository.utils.ImporterUtils
- includeAdditionalSpringConfigurations() - Method in class org.bloomreach.forge.brut.resources.AbstractResourceTest
- includeDomain(boolean) - Method in class org.bloomreach.forge.brut.common.project.strategy.DiscoveryContext.Builder
- INFO - Enum constant in enum class org.bloomreach.forge.brut.resources.diagnostics.DiagnosticSeverity
- init() - Method in class org.bloomreach.forge.brut.resources.AbstractJaxrsTest
- init() - Method in class org.bloomreach.forge.brut.resources.AbstractPageModelTest
- init() - Method in class org.bloomreach.forge.brut.resources.annotation.DynamicPageModelTest
- init() - Method in class org.bloomreach.forge.brut.resources.ConfigServiceRepository
-
Initializes repository with ConfigService bootstrap.
- init() - Method in class org.bloomreach.forge.brut.resources.SkeletonRepository
- init(AMContext) - Method in class org.bloomreach.forge.brut.common.repository.CustomAccessManager
- init(AMContext, AccessControlProvider, WorkspaceAccessManager) - Method in class org.bloomreach.forge.brut.common.repository.CustomAccessManager
- initialize() - Method in class org.bloomreach.forge.brut.components.mock.DelegatingComponentManager
- initialize() - Method in class org.bloomreach.forge.brut.components.mock.MockComponentManager
- initialize(Subject, CallbackHandler, Map<String, ?>, Map<String, ?>) - Method in class org.bloomreach.forge.brut.common.repository.AcceptAllLoginModule
- initializeHstStructure(Session, String, BootstrapContext) - Method in class org.bloomreach.forge.brut.resources.bootstrap.ConfigServiceBootstrapStrategy
- initializeHstStructure(Session, String, BootstrapContext) - Method in interface org.bloomreach.forge.brut.resources.bootstrap.JcrBootstrapStrategy
-
Initializes JCR repository with HST configuration structure.
- initializeHstStructure(Session, String, BootstrapContext) - Method in class org.bloomreach.forge.brut.resources.bootstrap.ManualBootstrapStrategy
- inject(ExtensionContext, T, Class<T>, Logger) - Static method in class org.bloomreach.forge.brut.common.junit.TestInstanceInjector
-
Injects a test infrastructure instance into a field of the test class if a matching field exists.
- invalidateHstModel() - Method in class org.bloomreach.forge.brut.resources.AbstractResourceTest
-
This method can be called by sub-testclasses after node changes via JCR API.
- invalidateSession() - Method in class org.bloomreach.forge.brut.resources.MockHstRequest
- invalidState(String, String, String) - Static method in exception org.bloomreach.forge.brut.common.exception.BrutTestConfigurationException
-
Creates exception for invalid state during test execution.
- invoke(ValveContext) - Method in class org.bloomreach.forge.brut.resources.BrutCleanupValve
- invoke(ValveContext) - Method in class org.bloomreach.forge.brut.resources.SiteContentBaseResolverValve
- invokeApplyNamespacesAndNodeTypes(ConfigurationConfigService, ConfigurationModelImpl, ConfigurationModelImpl, Session) - Static method in class org.bloomreach.forge.brut.resources.bootstrap.ConfigServiceReflectionBridge
-
Invokes package-private applyNamespacesAndNodeTypes method via reflection.
- invokeComputeAndWriteDelta(ConfigurationConfigService, ConfigurationModelImpl, ConfigurationModelImpl, Session, boolean) - Static method in class org.bloomreach.forge.brut.resources.bootstrap.ConfigServiceReflectionBridge
-
Invokes package-private computeAndWriteDelta method via reflection.
- invokeFilter() - Method in class org.bloomreach.forge.brut.resources.AbstractResourceTest
-
Invokes the HST filter and returns response content.
- invokeFilter() - Method in class org.bloomreach.forge.brut.resources.annotation.DynamicPageModelTest
- invokeFilter() - Method in interface org.bloomreach.forge.brut.resources.util.RequestBuilder.RequestExecutor
- invokeMethod(Method, Object, Object...) - Static method in class org.bloomreach.forge.brut.common.repository.utils.ReflectionUtils
- isAuthenticated() - Method in class org.bloomreach.forge.brut.components.mock.MockMount
- isAuthenticated() - Method in class org.bloomreach.forge.brut.components.mock.MockResolvedMount
- isBinaryLocation(String) - Method in class org.bloomreach.forge.brut.components.mock.MockHstLinkCreator
- isCacheable() - Method in class org.bloomreach.forge.brut.components.mock.MockMount
- isClientError() - Method in class org.bloomreach.forge.brut.resources.util.Response
-
Checks if the response indicates a client error (4xx status code).
- isContainer() - Method in class org.bloomreach.forge.brut.resources.pagemodel.PageComponent
-
Checks if this component is a container (has children).
- isContextPathInUrl() - Method in class org.bloomreach.forge.brut.components.mock.MockMount
- isExplicit() - Method in class org.bloomreach.forge.brut.components.mock.MockMount
- isFinalPipeline() - Method in class org.bloomreach.forge.brut.components.mock.MockMount
- isGranted(ItemId, int) - Method in class org.bloomreach.forge.brut.common.repository.CustomAccessManager
- isGranted(Path, int) - Method in class org.bloomreach.forge.brut.common.repository.CustomAccessManager
- isGranted(Path, Name, int) - Method in class org.bloomreach.forge.brut.common.repository.CustomAccessManager
- isIncludeDomain() - Method in class org.bloomreach.forge.brut.common.project.strategy.DiscoveryContext
- isMapped() - Method in class org.bloomreach.forge.brut.components.mock.MockMount
- isNestedTestClass(Class<?>) - Static method in class org.bloomreach.forge.brut.common.junit.NestedTestClassSupport
-
Checks if the given test class is a nested test class.
- isOfType(String) - Method in class org.bloomreach.forge.brut.components.mock.MockMount
- isPortInUrl() - Method in class org.bloomreach.forge.brut.components.mock.MockMount
- isPreview() - Method in class org.bloomreach.forge.brut.components.mock.MockMount
- isSchemeAgnostic() - Method in class org.bloomreach.forge.brut.components.mock.MockMount
- isServerError() - Method in class org.bloomreach.forge.brut.resources.util.Response
-
Checks if the response indicates a server error (5xx status code).
- isSessionStateful() - Method in class org.bloomreach.forge.brut.components.mock.MockMount
- isSessionStateful() - Method in class org.bloomreach.forge.brut.components.mock.MockResolvedMount
- isSingleValueDescriptor(String) - Method in class org.bloomreach.forge.brut.common.repository.BrxmTestingRepository
- isStandardDescriptor(String) - Method in class org.bloomreach.forge.brut.common.repository.BrxmTestingRepository
- isSubjectBasedSession() - Method in class org.bloomreach.forge.brut.components.mock.MockMount
- isSubjectBasedSession() - Method in class org.bloomreach.forge.brut.components.mock.MockResolvedMount
- isSuccessful() - Method in class org.bloomreach.forge.brut.resources.util.Response
-
Checks if the response indicates success (2xx status code).
- isSystemSession() - Method in class org.bloomreach.forge.brut.common.repository.CustomAccessManager
- isValidNCName(String) - Static method in class org.bloomreach.forge.brut.resources.bootstrap.RuntimeTypeStubber
-
Validates if a string is a valid NCName (non-colonized name) per XML spec.
- isValidPrefixedNodeTypeName(String) - Static method in class org.bloomreach.forge.brut.resources.bootstrap.RuntimeTypeStubber
-
Validates if a string is a valid prefixed node type name (prefix:localName).
- isVersionInPreviewHeader() - Method in class org.bloomreach.forge.brut.components.mock.MockMount
J
- JcrBootstrapStrategy - Interface in org.bloomreach.forge.brut.resources.bootstrap
-
Strategy for initializing JCR repository with HST configuration structure.
- JcrNodeSynchronizer - Class in org.bloomreach.forge.brut.resources.bootstrap
-
Handles JCR node synchronization between source and target trees.
- JcrTransactionSupport - Class in org.bloomreach.forge.brut.common.repository
- JcrTransactionSupport() - Constructor for class org.bloomreach.forge.brut.common.repository.JcrTransactionSupport
L
- Link - Class in org.bloomreach.forge.brut.resources.pagemodel
-
Represents a HAL-style link in PageModel API responses.
- Link() - Constructor for class org.bloomreach.forge.brut.resources.pagemodel.Link
- loadAddonModule(String) - Static method in class org.bloomreach.forge.brut.resources.Utils
- loadBeanClassNames(ClassLoader) - Static method in class org.bloomreach.forge.brut.common.processor.BrxmBeanRegistry
-
Returns the fully-qualified class names of
@Node-annotated beans recorded at compile time. - loadProjectContent() - Element in annotation interface org.bloomreach.forge.brut.resources.annotation.BrxmJaxrsTest
-
Automatically discover and load HCM content from project modules.
- loadProjectContent() - Element in annotation interface org.bloomreach.forge.brut.resources.annotation.BrxmPageModelTest
-
Automatically discover and load HCM content from project modules.
- loadProjectSettings(Path) - Static method in class org.bloomreach.forge.brut.common.project.ProjectDiscovery
- logBeanPatterns(Logger, List<String>) - Static method in class org.bloomreach.forge.brut.common.logging.TestConfigurationLogger
-
Logs bean patterns configuration.
- logConfiguration(Logger, Class<?>, String, Consumer<Logger>) - Static method in class org.bloomreach.forge.brut.common.logging.TestConfigurationLogger
-
Logs a configuration summary for a test with custom config formatter.
- logFailure(Logger, String, Class<?>, Throwable) - Static method in class org.bloomreach.forge.brut.common.logging.TestConfigurationLogger
-
Logs initialization failure with context.
- logHstRoot(Logger, String) - Static method in class org.bloomreach.forge.brut.common.logging.TestConfigurationLogger
-
Logs HST root configuration.
- login() - Method in class org.bloomreach.forge.brut.common.repository.AcceptAllLoginModule
- login() - Method in class org.bloomreach.forge.brut.common.repository.BrxmTestingRepository
- login(String) - Method in class org.bloomreach.forge.brut.common.repository.BrxmTestingRepository
- login(Credentials) - Method in class org.bloomreach.forge.brut.common.repository.BrxmTestingRepository
- login(Credentials, String) - Method in class org.bloomreach.forge.brut.common.repository.BrxmTestingRepository
- logModules(Logger, String, List<String>) - Static method in class org.bloomreach.forge.brut.common.logging.TestConfigurationLogger
-
Logs list of modules with a label.
- logout() - Method in class org.bloomreach.forge.brut.common.repository.AcceptAllLoginModule
- logSpringConfigs(Logger, List<String>) - Static method in class org.bloomreach.forge.brut.common.logging.TestConfigurationLogger
-
Logs Spring configs.
- logSuccess(Logger, String, Class<?>) - Static method in class org.bloomreach.forge.brut.common.logging.TestConfigurationLogger
-
Logs successful initialization completion.
M
- ManualBootstrapStrategy - Class in org.bloomreach.forge.brut.resources.bootstrap
-
Legacy bootstrap strategy that performs minimal HST initialization.
- ManualBootstrapStrategy() - Constructor for class org.bloomreach.forge.brut.resources.bootstrap.ManualBootstrapStrategy
- matchSiteMapItem(String) - Method in class org.bloomreach.forge.brut.components.mock.MockResolvedMount
- message() - Method in record class org.bloomreach.forge.brut.resources.diagnostics.DiagnosticResult
-
Returns the value of the
messagerecord component. - missingAnnotation(Class<?>, String, String) - Static method in exception org.bloomreach.forge.brut.common.exception.BrutTestConfigurationException
-
Creates exception for missing annotation.
- missingField(Class<?>, String, String[]) - Static method in exception org.bloomreach.forge.brut.common.exception.BrutTestConfigurationException
-
Creates exception for missing test field injection.
- MockAuthenticationConfig - Class in org.bloomreach.forge.brut.common.repository
-
Thread-local configuration for mock authentication behavior.
- MockAuthenticationConfig() - Constructor for class org.bloomreach.forge.brut.common.repository.MockAuthenticationConfig
- MockComponentManager - Class in org.bloomreach.forge.brut.components.mock
- MockComponentManager() - Constructor for class org.bloomreach.forge.brut.components.mock.MockComponentManager
- MockHstLink - Class in org.bloomreach.forge.brut.components.mock
- MockHstLink(String) - Constructor for class org.bloomreach.forge.brut.components.mock.MockHstLink
- MockHstLink(String, String) - Constructor for class org.bloomreach.forge.brut.components.mock.MockHstLink
- MockHstLink(String, String, String) - Constructor for class org.bloomreach.forge.brut.components.mock.MockHstLink
- MockHstLinkCreator - Class in org.bloomreach.forge.brut.components.mock
- MockHstLinkCreator() - Constructor for class org.bloomreach.forge.brut.components.mock.MockHstLinkCreator
- MockHstRequest - Class in org.bloomreach.forge.brut.resources
- MockHstRequest() - Constructor for class org.bloomreach.forge.brut.resources.MockHstRequest
- MockMount - Class in org.bloomreach.forge.brut.components.mock
- MockMount() - Constructor for class org.bloomreach.forge.brut.components.mock.MockMount
- MockResolvedMount - Class in org.bloomreach.forge.brut.components.mock
- MockResolvedMount() - Constructor for class org.bloomreach.forge.brut.components.mock.MockResolvedMount
- MODEL_FIRST - Enum constant in enum class org.bloomreach.forge.brut.common.project.ProjectDiscovery.BeanPackageOrder
- mount - Variable in class org.bloomreach.forge.brut.components.SimpleComponentTest
N
- NestedTestClassSupport - Class in org.bloomreach.forge.brut.common.junit
-
Utility for handling JUnit 5
@Nestedtest classes. - NodeAssert - Class in org.bloomreach.forge.brut.resources.util
-
Fluent assertions for JCR nodes.
- NodeAssert(Node) - Constructor for class org.bloomreach.forge.brut.resources.util.NodeAssert
-
Creates a NodeAssert for the specified node.
- nodeTypes() - Element in annotation interface org.bloomreach.forge.brut.components.annotation.BrxmComponentTest
-
Node types to register before test execution.
- NodeTypeUtils - Class in org.bloomreach.forge.brut.common.repository.utils
- normalizePath(String) - Static method in class org.bloomreach.forge.brut.common.repository.utils.PathUtils
O
- objectBeanManager - Variable in class org.bloomreach.forge.brut.components.AbstractRepoTest
- objectConverter - Variable in class org.bloomreach.forge.brut.components.AbstractRepoTest
- of(int, String) - Static method in class org.bloomreach.forge.brut.resources.util.Response
-
Creates a Response with status code and raw body only (no deserialization).
- of(int, String, T) - Static method in class org.bloomreach.forge.brut.resources.util.Response
-
Creates a Response with status code and typed body.
- of(List<BeanPackageStrategy>) - Static method in class org.bloomreach.forge.brut.common.project.strategy.BeanPackageStrategyChain
-
Creates a chain with custom strategies.
- order(ProjectDiscovery.BeanPackageOrder) - Method in class org.bloomreach.forge.brut.common.project.strategy.DiscoveryContext.Builder
- org.bloomreach.forge.brut.common.exception - package org.bloomreach.forge.brut.common.exception
- org.bloomreach.forge.brut.common.junit - package org.bloomreach.forge.brut.common.junit
- org.bloomreach.forge.brut.common.logging - package org.bloomreach.forge.brut.common.logging
- org.bloomreach.forge.brut.common.processor - package org.bloomreach.forge.brut.common.processor
- org.bloomreach.forge.brut.common.project - package org.bloomreach.forge.brut.common.project
- org.bloomreach.forge.brut.common.project.strategy - package org.bloomreach.forge.brut.common.project.strategy
- org.bloomreach.forge.brut.common.repository - package org.bloomreach.forge.brut.common.repository
- org.bloomreach.forge.brut.common.repository.utils - package org.bloomreach.forge.brut.common.repository.utils
- org.bloomreach.forge.brut.components - package org.bloomreach.forge.brut.components
- org.bloomreach.forge.brut.components.annotation - package org.bloomreach.forge.brut.components.annotation
- org.bloomreach.forge.brut.components.exception - package org.bloomreach.forge.brut.components.exception
- org.bloomreach.forge.brut.components.mock - package org.bloomreach.forge.brut.components.mock
- org.bloomreach.forge.brut.resources - package org.bloomreach.forge.brut.resources
- org.bloomreach.forge.brut.resources.annotation - package org.bloomreach.forge.brut.resources.annotation
- org.bloomreach.forge.brut.resources.bootstrap - package org.bloomreach.forge.brut.resources.bootstrap
- org.bloomreach.forge.brut.resources.diagnostics - package org.bloomreach.forge.brut.resources.diagnostics
-
HST Configuration Diagnostics for BRUT.
- org.bloomreach.forge.brut.resources.pagemodel - package org.bloomreach.forge.brut.resources.pagemodel
- org.bloomreach.forge.brut.resources.util - package org.bloomreach.forge.brut.resources.util
P
- PageComponent - Class in org.bloomreach.forge.brut.resources.pagemodel
-
Represents a component in PageModel API responses.
- PageComponent() - Constructor for class org.bloomreach.forge.brut.resources.pagemodel.PageComponent
- PageModelAssert - Class in org.bloomreach.forge.brut.resources.diagnostics
-
Fluent assertions for PageModel with integrated diagnostics.
- pageModelComponentRendering(String) - Method in class org.bloomreach.forge.brut.resources.util.RequestBuilder
-
Convenience method for PageModel API component-rendering requests.
- PageModelDiagnostics - Class in org.bloomreach.forge.brut.resources.diagnostics
-
Diagnostic utilities for analyzing PageModel API responses and HST configuration issues.
- PageModelResponse - Class in org.bloomreach.forge.brut.resources.pagemodel
-
Main wrapper for PageModel API responses.
- PageModelResponse() - Constructor for class org.bloomreach.forge.brut.resources.pagemodel.PageModelResponse
- parse(String) - Static method in class org.bloomreach.forge.brut.resources.pagemodel.PageModelResponse
-
Parses a JSON string into a PageModelResponse.
- PathUtils - Class in org.bloomreach.forge.brut.common.repository.utils
- performValidation() - Method in class org.bloomreach.forge.brut.resources.AbstractJaxrsTest
- performValidation() - Method in class org.bloomreach.forge.brut.resources.AbstractPageModelTest
- performValidation() - Method in class org.bloomreach.forge.brut.resources.AbstractResourceTest
-
Perform validation before invoking the HST filter
- platformModelAvailableService - Variable in class org.bloomreach.forge.brut.resources.AbstractResourceTest
- platformServices - Variable in class org.bloomreach.forge.brut.resources.AbstractResourceTest
- PomGroupIdStrategy - Class in org.bloomreach.forge.brut.common.project.strategy
-
Strategy that derives bean packages from the pom.xml groupId.
- PomGroupIdStrategy() - Constructor for class org.bloomreach.forge.brut.common.project.strategy.PomGroupIdStrategy
- post(String) - Method in class org.bloomreach.forge.brut.resources.util.RequestBuilder
-
Sets up a POST request to the specified URI.
- printNodeStructure(String) - Method in class org.bloomreach.forge.brut.components.AbstractRepoTest
- printNodeStructure(String, PrintStream) - Method in class org.bloomreach.forge.brut.components.AbstractRepoTest
- PRIORITY - Static variable in class org.bloomreach.forge.brut.common.project.strategy.ClasspathNodeAnnotationStrategy
- PRIORITY - Static variable in class org.bloomreach.forge.brut.common.project.strategy.PomGroupIdStrategy
- PRIORITY - Static variable in class org.bloomreach.forge.brut.common.project.strategy.ProjectSettingsStrategy
- PRIORITY - Static variable in class org.bloomreach.forge.brut.common.project.strategy.TestClassHeuristicStrategy
- privilegeFromName(String) - Method in class org.bloomreach.forge.brut.common.repository.CustomAccessManager
- process(Set<? extends TypeElement>, RoundEnvironment) - Method in class org.bloomreach.forge.brut.common.processor.BrxmBeanRegistryProcessor
- ProjectDiscovery - Class in org.bloomreach.forge.brut.common.project
- ProjectDiscovery.BeanPackageOrder - Enum Class in org.bloomreach.forge.brut.common.project
- projectRoot(Path) - Method in class org.bloomreach.forge.brut.common.project.strategy.DiscoveryContext.Builder
- projectSettings(ProjectSettings) - Method in class org.bloomreach.forge.brut.common.project.strategy.DiscoveryContext.Builder
- ProjectSettings - Class in org.bloomreach.forge.brut.common.project
- ProjectSettings(String, String, String, String, String, String, String, String, String, String, String) - Constructor for class org.bloomreach.forge.brut.common.project.ProjectSettings
- ProjectSettingsReader - Class in org.bloomreach.forge.brut.common.project
- ProjectSettingsStrategy - Class in org.bloomreach.forge.brut.common.project.strategy
-
Strategy that resolves bean packages from project-settings.xml.
- ProjectSettingsStrategy() - Constructor for class org.bloomreach.forge.brut.common.project.strategy.ProjectSettingsStrategy
- properties(Map<String, String>, Object) - Method in class org.bloomreach.forge.brut.resources.AbstractPageModelTest
- publishEvent(EventObject) - Method in class org.bloomreach.forge.brut.components.mock.DelegatingComponentManager
- publishEvent(EventObject) - Method in class org.bloomreach.forge.brut.components.mock.MockComponentManager
- put(String) - Method in class org.bloomreach.forge.brut.resources.util.RequestBuilder
-
Sets up a PUT request to the specified URI.
Q
- queryParam(String, String) - Method in class org.bloomreach.forge.brut.resources.util.RequestBuilder
-
Adds a query parameter.
R
- rawBody() - Method in class org.bloomreach.forge.brut.resources.util.Response
-
Returns the raw response body as string.
- read(Path) - Static method in class org.bloomreach.forge.brut.common.project.ProjectSettingsReader
- recalculateHippoPaths() - Method in class org.bloomreach.forge.brut.components.AbstractRepoTest
- recalculateHippoPaths(boolean) - Method in class org.bloomreach.forge.brut.components.AbstractRepoTest
- recalculateHippoPaths(String) - Method in class org.bloomreach.forge.brut.common.repository.AbstractBrutRepository
-
Recalculates hippo paths for HstQuery support.
- recalculateHippoPaths(String, boolean) - Method in class org.bloomreach.forge.brut.components.AbstractRepoTest
- recalculateHippoPathsIfExists(String) - Method in class org.bloomreach.forge.brut.common.repository.AbstractBrutRepository
-
Safely recalculates hippo paths only if the node exists.
- recalculateRepositoryPaths() - Method in class org.bloomreach.forge.brut.components.annotation.DynamicComponentTest
- recommendations() - Method in record class org.bloomreach.forge.brut.resources.diagnostics.DiagnosticResult
-
Returns the value of the
recommendationsrecord component. - recordInitialization(String) - Method in class org.bloomreach.forge.brut.common.repository.BrxmTestingRepository
-
Records that a resource with the given key has been initialised against this repository.
- ReflectionUtils - Class in org.bloomreach.forge.brut.common.repository.utils
- refresh(boolean) - Method in class org.bloomreach.forge.brut.resources.util.RepositorySession
-
Refreshes the session.
- registerBaseNodeTypes() - Method in class org.bloomreach.forge.brut.components.AbstractRepoTest
-
Registers base node types required for the test repository.
- registerCnds(Session, List<String>) - Method in class org.bloomreach.forge.brut.common.repository.AbstractBrutRepository
-
Registers CND node types from the given patterns.
- registerEventSubscriber(Object) - Method in class org.bloomreach.forge.brut.components.mock.DelegatingComponentManager
- registerEventSubscriber(Object) - Method in class org.bloomreach.forge.brut.components.mock.MockComponentManager
- registerHstModel() - Method in class org.bloomreach.forge.brut.resources.AbstractResourceTest
- registerMixinType(String) - Method in class org.bloomreach.forge.brut.components.AbstractRepoTest
- registerMixinType(String) - Method in class org.bloomreach.forge.brut.components.annotation.DynamicComponentTest
- registerNamespaces(InputStream, Session) - Static method in class org.bloomreach.forge.brut.common.repository.utils.ImporterUtils
- registerNamespaces(Session, Resource[]) - Method in class org.bloomreach.forge.brut.common.repository.AbstractBrutRepository
-
Registers namespaces from CND resources.
- registerNodeType(String) - Method in class org.bloomreach.forge.brut.components.AbstractRepoTest
- registerNodeType(String) - Method in class org.bloomreach.forge.brut.components.annotation.DynamicComponentTest
- registerNodeType(String, String) - Method in class org.bloomreach.forge.brut.components.AbstractRepoTest
- registerNodeType(String, String) - Method in class org.bloomreach.forge.brut.components.annotation.DynamicComponentTest
- registerNodeTypes(String...) - Method in class org.bloomreach.forge.brut.components.annotation.DynamicComponentTest
-
Register multiple node types at once.
- registerNodeTypeWithSupertype(String, String) - Method in class org.bloomreach.forge.brut.components.annotation.DynamicComponentTest
-
Register a node type with a specified supertype.
- registerStubNamespace(Session, String) - Static method in class org.bloomreach.forge.brut.resources.bootstrap.RuntimeTypeStubber
-
Registers a stub namespace if the given prefix is not already registered.
- registerStubNodeType(Session, String, Set<String>) - Static method in class org.bloomreach.forge.brut.resources.bootstrap.RuntimeTypeStubber
-
Registers a stub node type definition.
- rejectPassword(String) - Method in class org.bloomreach.forge.brut.common.repository.MockAuthenticationConfig
-
Configures a password to be rejected during authentication.
- rejectUser(String) - Method in class org.bloomreach.forge.brut.common.repository.MockAuthenticationConfig
-
Configures a username to be rejected during authentication.
- remove() - Method in class org.bloomreach.forge.brut.components.mock.DelegatingComponentManager
- removeExistingNode(Session, String) - Static method in class org.bloomreach.forge.brut.resources.bootstrap.ConfigServiceReflectionBridge
-
Removes an existing node at the given path.
- removePolicy(String, AccessControlPolicy) - Method in class org.bloomreach.forge.brut.common.repository.CustomAccessManager
- removeRefIdFromJsonString(String) - Method in class org.bloomreach.forge.brut.resources.AbstractPageModelTest
- repository() - Method in class org.bloomreach.forge.brut.resources.annotation.DynamicJaxrsTest
- repository() - Method in class org.bloomreach.forge.brut.resources.annotation.DynamicPageModelTest
- repositoryDataModules() - Element in annotation interface org.bloomreach.forge.brut.resources.annotation.BrxmJaxrsTest
-
Additional repository-data module names to include when ConfigService is enabled.
- repositoryDataModules() - Element in annotation interface org.bloomreach.forge.brut.resources.annotation.BrxmPageModelTest
-
Additional repository-data module names to include when ConfigService is enabled.
- RepositorySession - Class in org.bloomreach.forge.brut.resources.util
-
Auto-managed JCR session with fluent assertions for repository operations.
- RepositorySession(Repository) - Constructor for class org.bloomreach.forge.brut.resources.util.RepositorySession
-
Creates a RepositorySession with default admin credentials.
- RepositorySession(Repository, String, char[]) - Constructor for class org.bloomreach.forge.brut.resources.util.RepositorySession
-
Creates a RepositorySession with custom credentials.
- request - Variable in class org.bloomreach.forge.brut.components.SimpleComponentTest
- request() - Method in class org.bloomreach.forge.brut.resources.annotation.DynamicJaxrsTest
- request() - Method in class org.bloomreach.forge.brut.resources.annotation.DynamicPageModelTest
- RequestBuilder - Class in org.bloomreach.forge.brut.resources.util
-
Fluent builder for setting up and executing HST requests in tests.
- RequestBuilder(MockHstRequest, RequestBuilder.RequestExecutor) - Constructor for class org.bloomreach.forge.brut.resources.util.RequestBuilder
-
Creates a RequestBuilder without status support (legacy).
- RequestBuilder(MockHstRequest, RequestBuilder.RequestExecutor, RequestBuilder.StatusSupplier) - Constructor for class org.bloomreach.forge.brut.resources.util.RequestBuilder
-
Creates a RequestBuilder with status support.
- RequestBuilder.RequestExecutor - Interface in org.bloomreach.forge.brut.resources.util
-
Internal interface for executing requests - supports both JAX-RS and PageModel tests.
- RequestBuilder.StatusSupplier - Interface in org.bloomreach.forge.brut.resources.util
-
Internal interface for retrieving response status code.
- requestContext - Variable in class org.bloomreach.forge.brut.components.SimpleComponentTest
- requireSiteContentBaseBean() - Method in class org.bloomreach.forge.brut.components.AbstractRepoTest
- reset() - Static method in class org.bloomreach.forge.brut.common.repository.MockAuthenticationConfig
-
Resets authentication config for the current thread.
- reset() - Static method in class org.bloomreach.forge.brut.resources.DeterministicJsonPointerFactory
- resolve(DiscoveryContext) - Method in interface org.bloomreach.forge.brut.common.project.strategy.BeanPackageStrategy
-
Attempts to resolve bean packages from the given context.
- resolve(DiscoveryContext) - Method in class org.bloomreach.forge.brut.common.project.strategy.BeanPackageStrategyChain
-
Resolves bean packages by trying each strategy in priority order.
- resolve(DiscoveryContext) - Method in class org.bloomreach.forge.brut.common.project.strategy.ClasspathNodeAnnotationStrategy
- resolve(DiscoveryContext) - Method in class org.bloomreach.forge.brut.common.project.strategy.PomGroupIdStrategy
- resolve(DiscoveryContext) - Method in class org.bloomreach.forge.brut.common.project.strategy.ProjectSettingsStrategy
- resolve(DiscoveryContext) - Method in class org.bloomreach.forge.brut.common.project.strategy.TestClassHeuristicStrategy
- resolveBeanPackages(Class<?>, ProjectDiscovery.BeanPackageOrder, boolean) - Static method in class org.bloomreach.forge.brut.common.project.ProjectDiscovery
- resolveBeanPackages(Path, Class<?>, ProjectDiscovery.BeanPackageOrder, boolean) - Static method in class org.bloomreach.forge.brut.common.project.ProjectDiscovery
- resolveBeanPackages(Path, String, ProjectDiscovery.BeanPackageOrder, boolean) - Static method in class org.bloomreach.forge.brut.common.project.ProjectDiscovery
- resolveComponent(ContentRef) - Method in class org.bloomreach.forge.brut.resources.pagemodel.PageModelResponse
-
Resolves a ContentRef to its PageComponent.
- resolveConfig(BrxmJaxrsTest, Class<?>) - Method in class org.bloomreach.forge.brut.resources.annotation.BrxmJaxrsTestExtension
- resolveConfig(BrxmPageModelTest, Class<?>) - Method in class org.bloomreach.forge.brut.resources.annotation.BrxmPageModelTestExtension
- resolveContent(ContentRef) - Method in class org.bloomreach.forge.brut.resources.pagemodel.PageModelResponse
-
Resolves a ContentRef to its ContentItem.
- resolvedMount - Variable in class org.bloomreach.forge.brut.components.SimpleComponentTest
- resolvedSiteMapItem - Variable in class org.bloomreach.forge.brut.components.SimpleComponentTest
- resolveExistingHstRoot(String) - Method in class org.bloomreach.forge.brut.resources.AbstractResourceTest
- resolveHstRoot(Path) - Static method in class org.bloomreach.forge.brut.common.project.ProjectDiscovery
- resolveModelContent(PageComponent, String, Class<T>) - Method in class org.bloomreach.forge.brut.resources.pagemodel.PageModelResponse
-
Resolves a single $ref from a named component model to a typed POJO.
- resolveModelContentList(PageComponent, String, Class<T>) - Method in class org.bloomreach.forge.brut.resources.pagemodel.PageModelResponse
-
Resolves a list of $ref objects from a named component model to typed POJOs.
- resolveParameter(ParameterContext, ExtensionContext) - Method in class org.bloomreach.forge.brut.components.annotation.BrxmComponentTestExtension
- resolveParameter(ParameterContext, ExtensionContext) - Method in class org.bloomreach.forge.brut.resources.annotation.BrxmPageModelTestExtension
- resolveProjectNamespace(Path) - Static method in class org.bloomreach.forge.brut.common.project.ProjectDiscovery
- resolveResourcePattern(String) - Method in class org.bloomreach.forge.brut.common.repository.AbstractBrutRepository
-
Resolves resources matching the given classpath pattern.
- resourceNotFound(String, String, String) - Static method in exception org.bloomreach.forge.brut.common.exception.BrutTestConfigurationException
-
Creates exception for resource not found.
- resources() - Element in annotation interface org.bloomreach.forge.brut.resources.annotation.BrxmJaxrsTest
-
JAX-RS resource classes to register.
- response - Variable in class org.bloomreach.forge.brut.components.SimpleComponentTest
- Response<T> - Class in org.bloomreach.forge.brut.resources.util
-
Wrapper for HTTP response containing status code and typed body.
- rollback() - Method in class org.bloomreach.forge.brut.common.repository.JcrTransactionSupport
- rootNode - Variable in class org.bloomreach.forge.brut.components.AbstractRepoTest
- RuntimeReflectionException - Exception in org.bloomreach.forge.brut.common.repository.utils
- RuntimeReflectionException(Exception) - Constructor for exception org.bloomreach.forge.brut.common.repository.utils.RuntimeReflectionException
- RuntimeTypeStubber - Class in org.bloomreach.forge.brut.resources.bootstrap
-
Handles runtime stubbing of missing JCR namespaces and node types.
S
- save() - Method in class org.bloomreach.forge.brut.resources.util.RepositorySession
-
Saves the session.
- servletContext - Variable in class org.bloomreach.forge.brut.resources.AbstractResourceTest
- setAdditionalRepositoryModules(List<String>) - Method in class org.bloomreach.forge.brut.resources.ConfigServiceRepository
- setAlias(String) - Method in class org.bloomreach.forge.brut.components.mock.MockMount
- setAuthenticated(boolean) - Method in class org.bloomreach.forge.brut.components.mock.MockMount
- setCacheable(boolean) - Method in class org.bloomreach.forge.brut.components.mock.MockMount
- setCanonicalContentPath(String) - Method in class org.bloomreach.forge.brut.components.mock.MockMount
- setChannel(Map<String, Object>) - Method in class org.bloomreach.forge.brut.resources.pagemodel.PageModelResponse
- setChannel(Channel) - Method in class org.bloomreach.forge.brut.components.mock.MockMount
- setChannel(Channel, Channel) - Method in class org.bloomreach.forge.brut.components.mock.MockMount
- setChannelInfo(ChannelInfo) - Method in class org.bloomreach.forge.brut.components.mock.MockMount
- setChannelInfo(ChannelInfo) - Method in class org.bloomreach.forge.brut.components.SimpleComponentTest
- setChannelInfo(ChannelInfo, ChannelInfo) - Method in class org.bloomreach.forge.brut.components.mock.MockMount
- setChannelPath(String) - Method in class org.bloomreach.forge.brut.components.mock.MockMount
- setChildMounts(Map<String, Mount>) - Method in class org.bloomreach.forge.brut.components.mock.MockMount
- setChildren(List<ContentRef>) - Method in class org.bloomreach.forge.brut.resources.pagemodel.PageComponent
- setCmsLocation(String) - Method in class org.bloomreach.forge.brut.components.mock.MockMount
- setCmsLocations(List<String>) - Method in class org.bloomreach.forge.brut.components.mock.MockMount
- setComponentClass(String) - Method in class org.bloomreach.forge.brut.resources.pagemodel.PageComponent
- setComponentManager(ComponentManager) - Method in class org.bloomreach.forge.brut.components.mock.DelegatingComponentManager
- setComponentManager(ComponentManager) - Static method in class org.bloomreach.forge.brut.components.SimpleComponentTest
- setComponentParameterInfo(Object) - Method in class org.bloomreach.forge.brut.components.SimpleComponentTest
- setComponentParameters(Object) - Method in class org.bloomreach.forge.brut.components.annotation.DynamicComponentTest
- setConfigurationResources(String[]) - Method in class org.bloomreach.forge.brut.components.mock.DelegatingComponentManager
- setConfigurationResources(String[]) - Method in class org.bloomreach.forge.brut.components.mock.MockComponentManager
- setConfigurationResources(List<String>) - Method in class org.bloomreach.forge.brut.resources.SpringComponentManager
- setContainsMultipleSchemes(boolean) - Method in class org.bloomreach.forge.brut.components.mock.MockMount
- setContent(Map<String, ContentItem>) - Method in class org.bloomreach.forge.brut.resources.pagemodel.PageModelResponse
- setContentBean(String) - Method in class org.bloomreach.forge.brut.components.AbstractRepoTest
- setContentBean(String) - Method in class org.bloomreach.forge.brut.components.annotation.DynamicComponentTest
- setContentBean(HippoBean) - Method in class org.bloomreach.forge.brut.components.annotation.DynamicComponentTest
- setContentPath(String) - Method in class org.bloomreach.forge.brut.components.mock.MockMount
- setContextPath(String) - Method in class org.bloomreach.forge.brut.components.mock.MockMount
- setContextPathInUrl(boolean) - Method in class org.bloomreach.forge.brut.components.mock.MockMount
- setData(Map<String, Object>) - Method in class org.bloomreach.forge.brut.resources.pagemodel.ContentItem
- setDefaultResourceBundleId(String) - Method in class org.bloomreach.forge.brut.components.mock.MockMount
- setDefaultResourceBundleIds(String[]) - Method in class org.bloomreach.forge.brut.components.mock.MockMount
- setDefaultSiteMapItemHandlerIds(String[]) - Method in class org.bloomreach.forge.brut.components.mock.MockMount
- setDisplayName(String) - Method in class org.bloomreach.forge.brut.resources.pagemodel.ContentItem
- setExplicit(boolean) - Method in class org.bloomreach.forge.brut.components.mock.MockMount
- setFinalPipeline(boolean) - Method in class org.bloomreach.forge.brut.components.mock.MockMount
[...]
